# Type Alias AddCommentParams

type AddCommentParams = {
alertAuthor: boolean;
content: string;
idArticle: number;
sendAlert: boolean;
token: string;
type?: "comment" | "commentResponse";
widgets?: WidgetWrapperProps[];
}

- Defined in jamespot-user-api/src/types/article.ts:191

##### Index

### Properties

alertAuthor
content
idArticle
sendAlert
token
type?
widgets?

## Properties

### alertAuthor

alertAuthor: boolean

- Defined in jamespot-user-api/src/types/article.ts:196

### content

content: string

- Defined in jamespot-user-api/src/types/article.ts:193

### idArticle

idArticle: number

- Defined in jamespot-user-api/src/types/article.ts:194

### sendAlert

sendAlert: boolean

- Defined in jamespot-user-api/src/types/article.ts:195

### token

token: string

- Defined in jamespot-user-api/src/types/article.ts:192

### `Optional` type

type?: "comment" | "commentResponse"

- Defined in jamespot-user-api/src/types/article.ts:198

### `Optional` widgets

widgets?: WidgetWrapperProps[]

- Defined in jamespot-user-api/src/types/article.ts:197